homepage/urls.py
from django.urls import path
from . import views
from .views import *

app_name = 'homepage'

urlpatterns = [
    path('home/', home_view, name='home')
]

papikos/urls.py
from django.contrib import admin
from django.urls import path, include
from django.contrib.auth import views as auth_views

# static files
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls'), name='homepage'),
    path('pbt/', include('pegumuman_barang_titipan.urls'), name='pengumuman_barang_titipan'),
    path('tagihan/', include('kelola_tagihan.urls'), name="kelola_tagihan"),
    path('pengaduan/', include('kelola_pengaduan.urls'), name="pengaduan"),
    path('', include('registrasi.urls'), name="registrasi"),
]

urlpatterns += staticfiles_urlpatterns()

registrasi/urls.py
from django.urls import path
from . import views
from .views import *

appname = 'registrasi'

urlpatterns = [
    path('role/', pilih_role_view, name='pilih_role'),
    path('', signin_view, name='signin'),
    path('sign-up/', signup_view, name='signup')
]

registrasi/models.py
from django.db import models

# Create your models here.

registrasi/forms.py
from django import forms

class SigninForm(forms.Form):
    username = forms.CharField(label = 'Username', max_length = 50, required = True, widget=forms.TextInput(attrs={
		'placeholder' : 'Masukkan username'
	}))
    password = forms.CharField(label = 'Password', required = True, widget=forms.PasswordInput(attrs={
		'placeholder' : 'Masukkan password'
	}))

class SignupForm(forms.Form):
	nama = forms.CharField(label = 'Nama', max_length = 50, required = True, widget=forms.TextInput(attrs={
		'placeholder' : 'Masukkan nama'
	}))
	tanggal_lahir = forms.DateField(label = 'Tanggal Lahir', required = True, widget=forms.DateInput(attrs={
		'placeholder' : 'Hari/Bulan/Tahun',
        'type' : 'date'
	}))
	no_telpon = forms.CharField(label = 'No Telpon', required = True, widget=forms.TextInput(attrs={
		'placeholder' : 'Masukkan no telpon'
	}))
	email = forms.EmailField(label = 'Email', max_length = 50, required = True, widget=forms.EmailInput(attrs={
		'placeholder' : 'example@example.com'
	}))
	username = forms.CharField(label = 'Username', max_length = 50, required = True, widget=forms.TextInput(attrs={
		'placeholder' : 'Masukkan username'
	}))
	password = forms.CharField(label = 'Password', required = True, widget=forms.PasswordInput(attrs={
		'placeholder' : 'Masukkan password'
	}))

registrasi/views.py
from django.shortcuts import render
from .forms import SigninForm, SignupForm

# Create your views here.
def pilih_role_view(request):
    context = {}
    return render(request, 'registrasi/role.html', context)

def signin_view(request):
    form = SigninForm()
    context = {
        'form' : form
    }
    return render(request, 'registrasi/signin.html', context)

def signup_view(request):
    form = SignupForm()
    context = {
        'form' : form
    }
    return render(request, 'registrasi/signup.html', context)

registrasi/templates/registrasi/role.html
{% load static %}

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Papikos | Role</title>

    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        
    <!-- CSS kita -->
    <link rel="stylesheet" href="{% static 'registrasi/role.css' %}">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="{% static 'components/js/navbar.js' %}"></script>

</head>

<body>

    <h1>Selamat Datang di Papikos!</h1>

    <p>Daftar sebagai...</p>

    <div class="pilih_role">
        <a href="{% url 'signup' %}" class="role1">
            <img src="{% static 'registrasi/pemilik.png' %}">
        </a>
        <a href="{% url 'signup' %}" class="role2">
            <img src="{% static 'registrasi/penyewa.png' %}">
        </a>
    </div>

    <!-- jQuery CDN - Slim version (without AJAX) -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <!-- Popper.JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <!-- Bootstrap JS -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>

</body>

</html>

registrasi/templates/registrasi/signin.html
{% load static %}

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Papikos | Sign In</title>

    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        
    <!-- CSS kita -->
    <link rel="stylesheet" href="{% static 'registrasi/signin.css' %}">
    <link rel="stylesheet" href="{% static 'components/button.css' %}">
    <link rel="stylesheet" href="{% static 'components/shortfield.css' %}">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="{% static 'components/js/navbar.js' %}"></script>

</head>

<body>

    <h1>Sign In</h1>

    <div class = "isian_signin">
        <form action="." method="POST">
            {% csrf_token %}
            <div class="formulir">
                {{form.as_p}}
            </div>
        </form>
        <a href="{% url 'homepage:home' %}">
            <button class="button button-black" id="tombol_signin" type="button">Sign In</button>
        </a>
    </div>

    <div class="tulisan_daftar">
        <p>
            Belum punya akun? <a href="{% url 'pilih_role' %}"> Daftar</a>
        </p>
    </div>

    <!-- jQuery CDN - Slim version (without AJAX) -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <!-- Popper.JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <!-- Bootstrap JS -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>

</body>

</html>

registrasi/templates/registrasi/signup.html
{% load static %}

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Papikos | Sign In</title>

    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        
    <!-- CSS kita -->
    <link rel="stylesheet" href="{% static 'registrasi/signin.css' %}">
    <link rel="stylesheet" href="{% static 'components/button.css' %}">
    <link rel="stylesheet" href="{% static 'components/shortfield.css' %}">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="{% static 'components/js/navbar.js' %}"></script>

</head>

<body>

    <h1>Sign Up</h1>

    <div class = "isian_signup">
        <form action="." method="POST">
            {% csrf_token %}
            <div class="formulir">
                {{form.as_p}}
            </div>
        </form>
        <a href="{% url 'homepage:home' %}">
            <button class="button button-black" id="tombol_signin" type="button">Sign Up</button>
        </a>
    </div>

    <div class="tulisan_daftar">
        <p>
            Sudah punya akun? <a href="{% url 'signin' %}"> Sign In</a>
        </p>
    </div>

    <!-- jQuery CDN - Slim version (without AJAX) -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <!-- Popper.JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <!-- Bootstrap JS -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>

</body>

</html>